<?php

$type = array
(
	1 => '个人',
	2 => '个体户',
	3 => '企业',
);

$status = array
(
    1 => '审核中',
    2 => '已认证',
    3 => '认证失败',
);

$audit_status = array
(
    //1 => '审核中',
    2 => '已审核',
    3 => '审核失败',
);
$col = Dever::input('col');
return array
(
	# 表名
	'name' => 'auth',
	# 显示给用户看的名称
	'lang' => '认证管理',
	# 是否显示在后台菜单
	'order' => 9,
    'end' => array
    (
        'update' => 'user/lib/auth.manage_update',
        'updatemul' => 'user/lib/auth.manage_update',
    ),
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
		),

		'uid'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '用户名',
			'default' 	=> '0',
			'desc' 		=> '请选择用户',
			'match' 	=> 'is_numeric',
			'update'	=> 'hidden',
			'search'    => array
            (
                'api' => 'user/info-like',
                'col' => 'search',
                'result' => 'id',
            ),
            'value'     => Dever::input('search_option_uid'),
			'list'       => 'Dever::load("user/lib/info.get#name", {uid})',
		),

        'name'      => array
        (
            'type'      => 'varchar-100',
            'name'      => '真实姓名',
            'default'   => '',
            'desc'      => '真实姓名',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
        ),

        'idcard'     => array
        (
            'type'      => 'varchar-150',
            'name'      => '身份证号',
            'default'   => '',
            'desc'      => '身份证号',
            'match'     => 'option',
            'update'    => 'text',
            'list'      => true,
        ),

        'idcard_front'     => array
        (
            'type'      => 'varchar-150',
            'name'      => '身份证正面-如果是个人，这里上传联系人身份证，如果是个体户或者企业，这里上传法人身份证',
            'default'   => '',
            'desc'      => '身份证正面',
            'match'     => 'option',
            'update'    => 'image',
            'key'       => '8',
        ),

        'idcard_back'     => array
        (
            'type'      => 'varchar-150',
            'name'      => '身份证背面-如果是个人，这里上传联系人身份证，如果是个体户或者企业，这里上传法人身份证',
            'default'   => '',
            'desc'      => '身份证背面',
            'match'     => 'option',
            'update'    => 'image',
            'key'       => '8',
        ),

        'type'        => array
        (
            'type'      => 'tinyint-1',
            'name'      => '认证身份',
            'default'   => '1',
            'desc'      => '认证身份',
            'match'     => 'is_numeric',
            'update'    => 'radio',
            'search'    => 'select',
            'option'    => $type,
            'control'   => 'type',
            'list'      => true,
        ),

        'company_license'     => array
        (
            'type'      => 'varchar-150',
            'name'      => '营业执照',
            'default'   => '',
            'desc'      => '企业营业执照',
            'match'     => 'option',
            'update'    => 'image',
            'key'       => '8',
            'show'      => 'identity=2,3',
        ),

        'company_name'      => array
        (
            'type'      => 'varchar-200',
            'name'      => '企业全称',
            'default'   => '',
            'desc'      => '企业全称',
            'match'     => 'option',
            //'update'    => 'text',
            'show'      => 'identity=2,3',
        ),

        'company_number'      => array
        (
            'type'      => 'varchar-200',
            'name'      => '社会信用代码',
            'default'   => '',
            'desc'      => '社会信用代码',
            'match'     => 'option',
            //'update'    => 'text',
            'show'      => 'identity=2,3',
        ),

        'tel'      => array
        (
            'type'      => 'varchar-50',
            'name'      => '联系电话',
            'default'   => '',
            'desc'      => '联系电话',
            'match'     => 'is_string',
            'update'    => 'text',
            //'search'    => 'fulltext',
            //'list'      => true,
        ),

        'email'      => array
        (
            'type'      => 'varchar-50',
            'name'      => '联系邮箱',
            'default'   => '',
            'desc'      => '联系邮箱',
            'match'     => 'option',
            'update'    => 'text',
            //'search'    => 'fulltext',
            //'list'      => true,
        ),

        'area'       => array
        (
            'type'      => 'varchar-500',
            'name'      => '城市地区',
            'default'   => '',
            'desc'      => '城市地区',
            'match'     => 'option',
            'search'    => 'linkage',
            'update'    => 'linkage',
            'option'    => Dever::url('api.get?level_total=3', 'area'),
            //'list'      => 'Dever::load("area/api.string", "{area}")',
        ),

        'address'       => array
        (
            'type'      => 'varchar-1000',
            'name'      => '联系地址',
            'default'   => '',
            'desc'      => '联系地址',
            'match'     => 'option',
            'update'    => 'text',
            //'list'      => true,
        ),

        'status'        => array
        (
            'type'      => 'int-11',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '状态',
            'match'     => 'is_numeric',
            'update'    => 'select',
            'option'    => $status,
            'search'    => 'select',
            'list'      => true,
            //'edit'      => true,
        ),

        'audit_admin'     => array
        (
            'type'      => 'int-11',
            'name'      => '审核人',
            'default'   => '',
            'match'     => 'is_numeric',
            'desc'      => '审核人',
            'list'      => '"{audit_admin}" > 0 ? Dever::load("manage/admin-find#username", {audit_admin}) : "-"',
        ),

        'audit_status'        => array
        (
            'type'      => 'tinyint-1',
            'name'      => '审核状态',
            'default'   => '2',
            'desc'      => '审核状态',
            'match'     => 'is_numeric',
            'option'    => $audit_status,
            'update'    => $col ? 'radio' : false,
            'control'   => 'audit_status',
        ),

        'audit_desc'        => array
        (
            'type'      => 'varchar-500',
            'name'      => '审核备注',
            'default'   => '',
            'desc'      => '审核备注',
            'match'     => 'is_string',
            'update'    => $col ? 'textarea' : false,
            'show'      => 'audit_status=3',
            'list'      => '"{audit_desc}" ? "{audit_desc}" : "-"',
        ),

        'audit_date'     => array
        (
            'type'      => 'int-11',
            'name'      => '审核时间',
            'match'     => 'is_numeric',
            'desc'      => '审核时间',
            'default'   => '',
            'list'      => '{audit_date} ? date("Y-m-d H:i:s", {audit_date}) : "-"',
        ),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '申请时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			//'insert'	=> true,
			'search'	=> 'date',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

    'index' => array
    (
        1 => array (
            'uid' => 'uid',
        ),
        'version' => 1,
    ),

    'manage' => array
    (
        'delete' => false,
        'edit' => false,
        'insert' => false,

        # 列表
        'list_button' => array
        (
            'edit' => array('审核', 'audit_status,audit_desc', '{status} == 1'),
        ),
    ),
);
