<?php

$source_type = array (
	'ios' => 'ios',
	'android' => 'android',
);

$system_source = Dever::config('base')->system_source;

return array
(
	# 表名
	'name' => 'login',
	# 显示给用户看的名称
	'lang' => '用户登录记录',
	'order' => 9,
	'menu' => false,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			//'search'	=> 'order',
			'order'		=> 'desc',
			'list'		=> true,
		),

		'project_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '所属项目',
			'default' 	=> '1',
			'desc' 		=> '所属项目',
			'match' 	=> 'is_numeric',
			//'option' 	=> $level,
			//'update'	=> 'select',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'uid'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '用户',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			//'update'	=> 'select',
			'search'	=> 'fulltext',
			'list'		=> 'Dever::load("user/lib/info.get#name", {uid})',
			//'list'		=> true,
			//'edit'		=> true,
		),

		'system_source'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '用户来源',
			'default' 	=> '1',
			'desc' 		=> '用户来源',
			'match' 	=> 'is_numeric',
			'option' 	=> $system_source,
			'update'	=> 'radio',
			'search'	=> 'select',
			'list'		=> true,
		),

		'uuid'       => array
        (
            'type'      => 'varchar-300',
            'name'      => 'uuid',
            'default'   => '',
            'desc'      => 'uuid',
            'match'     => 'is_string',
            //'update'  => 'text',
            'list'		=> true,
        ),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '登录时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'search'	=> 'date',
			'insert'	=> true,
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),
	
	'manage' => array
	(
		'insert' => false,
		'edit' => false,
		'delete' => false,
	),
	
	# request 请求接口定义
	'request' => array
	(
		# 此处定义是为跳出auth
		'getAllByUids' => array
		(
			'option' => array
			(
				'uid' => array('yes', 'in'),
				'state' => 1,
			),
			'type' => 'all',
			'col' => '*',
		),
	),
);
