<?php
namespace User\Src;

use Dever;
use User\Lib\Core;
class Address extends Core
{
    # 获取默认地址
    public function getData()
    {
        return Dever::load('user/lib/address')->getData($this->uid);
    }

    # 获取某个收货地址
    public function getInfo()
    {
        $id = Dever::input('id');
        if (!$id) {
            Dever::alert('请选择收货地址id');
        }
        return Dever::load('user/lib/address')->getInfo($this->uid, $id);
    }

    # 获取地址列表
    public function getList()
    {
        return Dever::load('user/lib/address')->getList($this->uid);
    }


    # 删除和恢复
    public function delete()
    {
        $id = Dever::input('id');
        if (!$id) {
            Dever::alert('请选择收货地址id');
        }
        return Dever::load('user/lib/address')->getList($this->uid, $id, 2);
    }

    # 添加或者更新地址接口
    public function update()
    {
        $source_id = $this->uid;
        $source_table = 'user/info';
        $id = Dever::input('id');
        $type = Dever::input('type', 2);
        $province = Dever::input('province');
        $city = Dever::input('city');
        $county = Dever::input('county');
        $contact = Dever::input('contact');
        $address = Dever::input('address');
        $town = Dever::input('town');
        $mobile = Dever::input('mobile');
        $tag = Dever::input('tag');

        return Dever::load('user/lib/address')->update($id, $source_id, $source_table, $type, $mobile, $contact, $province, $city, $county, $town, $address, $tag);
    }
}
